
Redmine - Defect #4934

OS X  10.6 server rake db:migrate fails

2010-02-25 23:04 - Michaelian Ennis

Status: Closed Start date: 2010-02-25

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 0.9.2

Description

ruby script/about follows trace.

gorilla:redmine-0.9 mennis$ RAILS_ENV=production rake db:migrate --trace

(in /Users/mennis/redmine-0.9)

Invoke db:migrate (first_time)

Invoke environment (first_time)

Execute environment

rake aborted!

Object is not missing constant Project!

/Library/Ruby/Gems/1.8/gems/activesupport-2.3.5/lib/active_support/dependencies.rb:417:in `load_missing_constant'

/Library/Ruby/Gems/1.8/gems/activesupport-2.3.5/lib/active_support/dependencies.rb:80:in `const_missing'

/Library/Ruby/Gems/1.8/gems/activesupport-2.3.5/lib/active_support/dependencies.rb:92:in `const_missing'

/Library/Ruby/Gems/1.8/gems/activesupport-2.3.5/lib/active_support/dependencies.rb:98:in `send'

/Library/Ruby/Gems/1.8/gems/activesupport-2.3.5/lib/active_support/dependencies.rb:98:in `const_missing'

/Users/mennis/redmine-0.9/app/models/attachment.rb:36

/Library/Ruby/Site/1.8/rubygems/custom_require.rb:31:in `gem_original_require'

/Library/Ruby/Site/1.8/rubygems/custom_require.rb:31:in `require'

/Library/Ruby/Gems/1.8/gems/activesupport-2.3.5/lib/active_support/dependencies.rb:158:in `require'

/Library/Ruby/Gems/1.8/gems/activesupport-2.3.5/lib/active_support/dependencies.rb:265:in

`require_or_load_without_engine_additions'

/Users/mennis/redmine-0.9/vendor/plugins/engines/lib/engines/rails_extensions/dependencies.rb:132:in `require_or_load'

/Library/Ruby/Gems/1.8/gems/activesupport-2.3.5/lib/active_support/dependencies.rb:425:in `load_missing_constant'

/Library/Ruby/Gems/1.8/gems/activesupport-2.3.5/lib/active_support/dependencies.rb:80:in `const_missing'

/Library/Ruby/Gems/1.8/gems/activesupport-2.3.5/lib/active_support/dependencies.rb:92:in `const_missing'

/Library/Ruby/Gems/1.8/gems/activesupport-2.3.5/lib/active_support/dependencies.rb:437:in `load_missing_constant'

/Library/Ruby/Gems/1.8/gems/activesupport-2.3.5/lib/active_support/dependencies.rb:80:in `const_missing'

/Library/Ruby/Gems/1.8/gems/activesupport-2.3.5/lib/active_support/dependencies.rb:437:in `load_missing_constant'

/Library/Ruby/Gems/1.8/gems/activesupport-2.3.5/lib/active_support/dependencies.rb:80:in `const_missing'

/Library/Ruby/Gems/1.8/gems/activesupport-2.3.5/lib/active_support/dependencies.rb:437:in `load_missing_constant'

/Library/Ruby/Gems/1.8/gems/activesupport-2.3.5/lib/active_support/dependencies.rb:80:in `const_missing'

/Library/Ruby/Gems/1.8/gems/activesupport-2.3.5/lib/active_support/dependencies.rb:437:in `load_missing_constant'

/Library/Ruby/Gems/1.8/gems/activesupport-2.3.5/lib/active_support/dependencies.rb:80:in `const_missing'

/Users/mennis/redmine-0.9/vendor/plugins/acts_as_attachable/lib/acts_as_attachable.rb:33:in `acts_as_attachable'

/Users/mennis/redmine-0.9/app/models/message.rb:22

/Library/Ruby/Site/1.8/rubygems/custom_require.rb:31:in `gem_original_require'

/Library/Ruby/Site/1.8/rubygems/custom_require.rb:31:in `require'

/Library/Ruby/Gems/1.8/gems/activesupport-2.3.5/lib/active_support/dependencies.rb:158:in `require'

/Library/Ruby/Gems/1.8/gems/activesupport-2.3.5/lib/active_support/dependencies.rb:265:in

`require_or_load_without_engine_additions'

/Users/mennis/redmine-0.9/vendor/plugins/engines/lib/engines/rails_extensions/dependencies.rb:132:in `require_or_load'

/Library/Ruby/Gems/1.8/gems/activesupport-2.3.5/lib/active_support/dependencies.rb:425:in `load_missing_constant'

/Library/Ruby/Gems/1.8/gems/activesupport-2.3.5/lib/active_support/dependencies.rb:80:in `const_missing'

/Library/Ruby/Gems/1.8/gems/activesupport-2.3.5/lib/active_support/dependencies.rb:92:in `const_missing'

/Library/Ruby/Gems/1.8/gems/activesupport-2.3.5/lib/active_support/inflector.rb:361:in `constantize'

/Library/Ruby/Gems/1.8/gems/activesupport-2.3.5/lib/active_support/inflector.rb:360:in `each'

/Library/Ruby/Gems/1.8/gems/activesupport-2.3.5/lib/active_support/inflector.rb:360:in `constantize'

/Library/Ruby/Gems/1.8/gems/activesupport-2.3.5/lib/active_support/core_ext/string/inflections.rb:162:in `constantize'

/Library/Ruby/Gems/1.8/gems/activerecord-2.3.5/lib/active_record/observer.rb:157:in `observed_class'

/Library/Ruby/Gems/1.8/gems/activerecord-2.3.5/lib/active_record/observer.rb:183:in `observed_classes'

/Library/Ruby/Gems/1.8/gems/activerecord-2.3.5/lib/active_record/observer.rb:166:in `initialize'
/System/Library/Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/1.8/singleton.rb:94:in `new'

/System/Library/Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/1.8/singleton.rb:94:in `instance'

/Library/Ruby/Gems/1.8/gems/activerecord-2.3.5/lib/active_record/observer.rb:38:in `instantiate_observers'

/Library/Ruby/Gems/1.8/gems/activerecord-2.3.5/lib/active_record/observer.rb:36:in `each'

/Library/Ruby/Gems/1.8/gems/activerecord-2.3.5/lib/active_record/observer.rb:36:in `instantiate_observers'

/Library/Ruby/Gems/1.8/gems/actionpack-2.3.5/lib/action_controller/dispatcher.rb:15:in `define_dispatcher_callbacks'

/Library/Ruby/Gems/1.8/gems/activesupport-2.3.5/lib/active_support/callbacks.rb:182:in `call'

/Library/Ruby/Gems/1.8/gems/activesupport-2.3.5/lib/active_support/callbacks.rb:182:in `evaluate_method'

/Library/Ruby/Gems/1.8/gems/activesupport-2.3.5/lib/active_support/callbacks.rb:166:in `call'

/Library/Ruby/Gems/1.8/gems/activesupport-2.3.5/lib/active_support/callbacks.rb:90:in `run'

/Library/Ruby/Gems/1.8/gems/activesupport-2.3.5/lib/active_support/callbacks.rb:90:in `each'

/Library/Ruby/Gems/1.8/gems/activesupport-2.3.5/lib/active_support/callbacks.rb:90:in `send'

/Library/Ruby/Gems/1.8/gems/activesupport-2.3.5/lib/active_support/callbacks.rb:90:in `run'

/Library/Ruby/Gems/1.8/gems/activesupport-2.3.5/lib/active_support/callbacks.rb:276:in `run_callbacks'

/Library/Ruby/Gems/1.8/gems/actionpack-2.3.5/lib/action_controller/dispatcher.rb:51:in `send'

/Library/Ruby/Gems/1.8/gems/actionpack-2.3.5/lib/action_controller/dispatcher.rb:51:in `run_prepare_callbacks'

/Library/Ruby/Gems/1.8/gems/rails-2.3.5/lib/initializer.rb:631:in `prepare_dispatcher'

/Library/Ruby/Gems/1.8/gems/rails-2.3.5/lib/initializer.rb:185:in `process'

/Library/Ruby/Gems/1.8/gems/rails-2.3.5/lib/initializer.rb:113:in `send'

/Library/Ruby/Gems/1.8/gems/rails-2.3.5/lib/initializer.rb:113:in `run'

/Users/mennis/redmine-0.9/config/environment.rb:20

/Library/Ruby/Site/1.8/rubygems/custom_require.rb:31:in `gem_original_require'

/Library/Ruby/Site/1.8/rubygems/custom_require.rb:31:in `require'

/Library/Ruby/Gems/1.8/gems/activesupport-2.3.5/lib/active_support/dependencies.rb:156:in `require'

/Library/Ruby/Gems/1.8/gems/activesupport-2.3.5/lib/active_support/dependencies.rb:521:in `new_constants_in'

/Library/Ruby/Gems/1.8/gems/activesupport-2.3.5/lib/active_support/dependencies.rb:156:in `require'

/Library/Ruby/Gems/1.8/gems/rails-2.3.5/lib/tasks/misc.rake:4

/System/Library/Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/gems/1.8/gems/rake-0.8.3/lib/rake.rb:617:in `call'

/System/Library/Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/gems/1.8/gems/rake-0.8.3/lib/rake.rb:617:in `execute'

/System/Library/Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/gems/1.8/gems/rake-0.8.3/lib/rake.rb:612:in `each'

/System/Library/Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/gems/1.8/gems/rake-0.8.3/lib/rake.rb:612:in `execute'

/System/Library/Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/gems/1.8/gems/rake-0.8.3/lib/rake.rb:578:in

`invoke_with_call_chain'

/System/Library/Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/1.8/monitor.rb:242:in `synchronize'

/System/Library/Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/gems/1.8/gems/rake-0.8.3/lib/rake.rb:571:in

`invoke_with_call_chain'

/System/Library/Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/gems/1.8/gems/rake-0.8.3/lib/rake.rb:588:in

`invoke_prerequisites'

/System/Library/Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/gems/1.8/gems/rake-0.8.3/lib/rake.rb:585:in `each'

/System/Library/Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/gems/1.8/gems/rake-0.8.3/lib/rake.rb:585:in

`invoke_prerequisites'

/System/Library/Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/gems/1.8/gems/rake-0.8.3/lib/rake.rb:577:in

`invoke_with_call_chain'

/System/Library/Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/1.8/monitor.rb:242:in `synchronize'

/System/Library/Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/gems/1.8/gems/rake-0.8.3/lib/rake.rb:571:in

`invoke_with_call_chain'

/System/Library/Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/gems/1.8/gems/rake-0.8.3/lib/rake.rb:564:in `invoke'

/System/Library/Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/gems/1.8/gems/rake-0.8.3/lib/rake.rb:2019:in

`invoke_task'

/System/Library/Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/gems/1.8/gems/rake-0.8.3/lib/rake.rb:1997:in `top_level'

/System/Library/Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/gems/1.8/gems/rake-0.8.3/lib/rake.rb:1997:in `each'

/System/Library/Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/gems/1.8/gems/rake-0.8.3/lib/rake.rb:1997:in `top_level'

/System/Library/Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/gems/1.8/gems/rake-0.8.3/lib/rake.rb:2036:in

`standard_exception_handling'

/System/Library/Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/gems/1.8/gems/rake-0.8.3/lib/rake.rb:1991:in `top_level'

/System/Library/Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/gems/1.8/gems/rake-0.8.3/lib/rake.rb:1970:in `run'

/System/Library/Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/gems/1.8/gems/rake-0.8.3/lib/rake.rb:2036:in

`standard_exception_handling'

/System/Library/Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/gems/1.8/gems/rake-0.8.3/lib/rake.rb:1967:in `run'

/System/Library/Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/gems/1.8/gems/rake-0.8.3/bin/rake:31

/usr/bin/rake:19:in `load'

/usr/bin/rake:19

gorilla:redmine-0.9 mennis$ ruby script/about

/Library/Ruby/Gems/1.8/gems/rails-2.3.5/lib/rails/gem_dependency.rb:119:Warning: Gem::Dependency#version_requirements

is deprecated and will be removed on or after August 2010.  Use #requirement

/Library/Ruby/Gems/1.8/gems/activerecord-2.3.5/lib/active_record/connection_adapters/abstract/connection_specification.rb:62:

in `establish_connection': development database is not configured (ActiveRecord::AdapterNotSpecified)
from

/Library/Ruby/Gems/1.8/gems/activerecord-2.3.5/lib/active_record/connection_adapters/abstract/connection_specification.rb:55:

in `establish_connection'

from /Library/Ruby/Gems/1.8/gems/rails-2.3.5/lib/initializer.rb:438:in `initialize_database'

from /Library/Ruby/Gems/1.8/gems/rails-2.3.5/lib/initializer.rb:141:in `process'

from /Library/Ruby/Gems/1.8/gems/rails-2.3.5/lib/initializer.rb:113:in `send'

from /Library/Ruby/Gems/1.8/gems/rails-2.3.5/lib/initializer.rb:113:in `run'

from /Users/mennis/redmine-0.9/config/environment.rb:20

from /Library/Ruby/Site/1.8/rubygems/custom_require.rb:31:in `gem_original_require'

from /Library/Ruby/Site/1.8/rubygems/custom_require.rb:31:in `require'

from /Library/Ruby/Gems/1.8/gems/rails-2.3.5/lib/commands/about.rb:1

from /Library/Ruby/Site/1.8/rubygems/custom_require.rb:31:in `gem_original_require'

from /Library/Ruby/Site/1.8/rubygems/custom_require.rb:31:in `require'

from script/about:4

History

#1 - 2010-02-26 16:36 - Jean-Philippe Lang

Please list your installed gems.

Are you using PostgreSQL?

#2 - 2010-02-26 17:33 - Michaelian Ennis

I am not running postgreSQL.  I am trying to use mysql.  I had to install the headers to get the mysql gem to build. 

http://support.apple.com/kb/HT4006

LOCAL GEMS ***

actionmailer (2.3.5, 2.2.2, 1.3.6)

actionpack (2.3.5, 2.2.2, 1.13.6)

actionwebservice (1.2.6)

activerecord (2.3.5, 2.2.2, 1.15.6)

activeresource (2.3.5, 2.2.2)

activesupport (2.3.5, 2.2.2, 1.4.4)

acts_as_ferret (0.4.4, 0.4.3)

capistrano (2.5.16, 2.5.2)

cgi_multipart_eof_fix (2.5.0)

daemons (1.0.10)

dnssd (1.3.1, 0.6.0)

fastthread (1.0.7, 1.0.1)

fcgi (0.8.8, 0.8.7)

ferret (0.11.6)

gem_plugin (0.2.3)

highline (1.5.2, 1.5.0)

hpricot (0.8.2, 0.6.164)

libxml-ruby (1.1.3, 1.1.2)

mongrel (1.1.5)

mysql (2.8.1)

needle (1.3.0)

net-scp (1.0.2, 1.0.1)

net-sftp (2.0.4, 2.0.1, 1.1.1)

net-ssh (2.0.20, 2.0.4, 1.1.4)

net-ssh-gateway (1.0.1, 1.0.0)

passenger (2.2.10)

rack (1.1.0, 1.0.1)

rails (2.3.5, 2.2.2, 1.2.6)

rake (0.8.7, 0.8.3)

RedCloth (4.2.2, 4.1.1)

ruby-openid (2.1.7, 2.1.2)

ruby-yadis (0.3.4)

rubygems-update (1.3.6)

rubynode (0.1.5)

sqlite3-ruby (1.2.5, 1.2.4)

termios (0.9.4)

xmpp4r (0.5, 0.4)

#3 - 2010-02-26 17:35 - Michaelian Ennis

I think the gem works as well.

$  irb

require 'mysql'

2025-05-02 3/6

http://support.apple.com/kb/HT4006


=> true

#4 - 2010-02-26 18:40 - praveen praveen

I have the same problem.

here is the error trace

[portal@aci-dev redmine-0.9.2]$ RAILS_ENV=production rake db:migrate --trace

(in /usr/local/www/redmine-0.9.2)

Invoke db:migrate (first_time)

Invoke environment (first_time)

Execute environment

rake aborted!

Object is not missing constant Project!

/usr/local/www/redmine-0.9.2/vendor/rails/activesupport/lib/active_support/dependencies.rb:417:in `load_missing_constant'

/usr/local/www/redmine-0.9.2/vendor/rails/activesupport/lib/active_support/dependencies.rb:80:in `const_missing_with_dependencies'

/usr/local/www/redmine-0.9.2/vendor/rails/activesupport/lib/active_support/dependencies.rb:92:in `const_missing'

/usr/local/www/redmine-0.9.2/vendor/rails/activesupport/lib/active_support/dependencies.rb:98:in `rescue in const_missing'

/usr/local/www/redmine-0.9.2/vendor/rails/activesupport/lib/active_support/dependencies.rb:95:in `const_missing'

/usr/local/www/redmine-0.9.2/app/models/attachment.rb:36:in `<class:Attachment>'

/usr/local/www/redmine-0.9.2/app/models/attachment.rb:20:in `<top (required)>'

/usr/local/www/redmine-0.9.2/vendor/rails/activesupport/lib/active_support/dependencies.rb:158:in `require'

/usr/local/www/redmine-0.9.2/vendor/rails/activesupport/lib/active_support/dependencies.rb:158:in `require'

/usr/local/www/redmine-0.9.2/vendor/rails/activesupport/lib/active_support/dependencies.rb:265:in `require_or_load'

/usr/local/www/redmine-0.9.2/vendor/plugins/engines/lib/engines/rails_extensions/dependencies.rb:132:in

`require_or_load_with_engine_additions'

/usr/local/www/redmine-0.9.2/vendor/rails/activesupport/lib/active_support/dependencies.rb:425:in `load_missing_constant'

/usr/local/www/redmine-0.9.2/vendor/rails/activesupport/lib/active_support/dependencies.rb:80:in `const_missing_with_dependencies'

/usr/local/www/redmine-0.9.2/vendor/rails/activesupport/lib/active_support/dependencies.rb:92:in `const_missing'

/usr/local/www/redmine-0.9.2/vendor/rails/activesupport/lib/active_support/dependencies.rb:437:in `load_missing_constant'

/usr/local/www/redmine-0.9.2/vendor/rails/activesupport/lib/active_support/dependencies.rb:80:in `const_missing_with_dependencies'

/usr/local/www/redmine-0.9.2/vendor/rails/activesupport/lib/active_support/dependencies.rb:437:in `load_missing_constant'

/usr/local/www/redmine-0.9.2/vendor/rails/activesupport/lib/active_support/dependencies.rb:80:in `const_missing_with_dependencies'

/usr/local/www/redmine-0.9.2/vendor/rails/activesupport/lib/active_support/dependencies.rb:437:in `load_missing_constant'

/usr/local/www/redmine-0.9.2/vendor/rails/activesupport/lib/active_support/dependencies.rb:80:in `const_missing_with_dependencies'

/usr/local/www/redmine-0.9.2/vendor/rails/activesupport/lib/active_support/dependencies.rb:437:in `load_missing_constant'

/usr/local/www/redmine-0.9.2/vendor/rails/activesupport/lib/active_support/dependencies.rb:80:in `const_missing_with_dependencies'

/usr/local/www/redmine-0.9.2/vendor/plugins/acts_as_attachable/lib/acts_as_attachable.rb:33:in `acts_as_attachable'

/usr/local/www/redmine-0.9.2/app/models/message.rb:22:in `<class:Message>'

/usr/local/www/redmine-0.9.2/app/models/message.rb:18:in `<top (required)>'

/usr/local/www/redmine-0.9.2/vendor/rails/activesupport/lib/active_support/dependencies.rb:158:in `require'

/usr/local/www/redmine-0.9.2/vendor/rails/activesupport/lib/active_support/dependencies.rb:158:in `require'

/usr/local/www/redmine-0.9.2/vendor/rails/activesupport/lib/active_support/dependencies.rb:265:in `require_or_load'

/usr/local/www/redmine-0.9.2/vendor/plugins/engines/lib/engines/rails_extensions/dependencies.rb:132:in

`require_or_load_with_engine_additions'

/usr/local/www/redmine-0.9.2/vendor/rails/activesupport/lib/active_support/dependencies.rb:425:in `load_missing_constant'

/usr/local/www/redmine-0.9.2/vendor/rails/activesupport/lib/active_support/dependencies.rb:80:in `const_missing_with_dependencies'

/usr/local/www/redmine-0.9.2/vendor/rails/activesupport/lib/active_support/dependencies.rb:92:in `const_missing'

/usr/local/www/redmine-0.9.2/vendor/rails/activesupport/lib/active_support/inflector.rb:372:in `const_get'

/usr/local/www/redmine-0.9.2/vendor/rails/activesupport/lib/active_support/inflector.rb:372:in `block in constantize'

/usr/local/www/redmine-0.9.2/vendor/rails/activesupport/lib/active_support/inflector.rb:371:in `each'

/usr/local/www/redmine-0.9.2/vendor/rails/activesupport/lib/active_support/inflector.rb:371:in `constantize'

/usr/local/www/redmine-0.9.2/vendor/rails/activesupport/lib/active_support/core_ext/string/inflections.rb:162:in `constantize'

/usr/local/www/redmine-0.9.2/vendor/rails/activerecord/lib/active_record/observer.rb:157:in `observed_class'

/usr/local/www/redmine-0.9.2/vendor/rails/activerecord/lib/active_record/observer.rb:183:in `observed_classes'

/usr/local/www/redmine-0.9.2/vendor/rails/activerecord/lib/active_record/observer.rb:166:in `initialize'

/usr/local/lib/ruby/1.9.1/singleton.rb:109:in `new'

/usr/local/lib/ruby/1.9.1/singleton.rb:109:in `block in instance'

<internal:prelude>:8:in `synchronize'

/usr/local/lib/ruby/1.9.1/singleton.rb:107:in `instance'

/usr/local/www/redmine-0.9.2/vendor/rails/activerecord/lib/active_record/observer.rb:38:in `block in instantiate_observers'

/usr/local/www/redmine-0.9.2/vendor/rails/activerecord/lib/active_record/observer.rb:36:in `each'

/usr/local/www/redmine-0.9.2/vendor/rails/activerecord/lib/active_record/observer.rb:36:in `instantiate_observers'

/usr/local/www/redmine-0.9.2/vendor/rails/actionpack/lib/action_controller/dispatcher.rb:15:in `block in define_dispatcher_callbacks'

/usr/local/www/redmine-0.9.2/vendor/rails/activesupport/lib/active_support/callbacks.rb:182:in `call'

/usr/local/www/redmine-0.9.2/vendor/rails/activesupport/lib/active_support/callbacks.rb:182:in `evaluate_method'

/usr/local/www/redmine-0.9.2/vendor/rails/activesupport/lib/active_support/callbacks.rb:166:in `call'

/usr/local/www/redmine-0.9.2/vendor/rails/activesupport/lib/active_support/callbacks.rb:90:in `block in run'

/usr/local/www/redmine-0.9.2/vendor/rails/activesupport/lib/active_support/callbacks.rb:90:in `each'

/usr/local/www/redmine-0.9.2/vendor/rails/activesupport/lib/active_support/callbacks.rb:90:in `run'

/usr/local/www/redmine-0.9.2/vendor/rails/activesupport/lib/active_support/callbacks.rb:276:in `run_callbacks'
/usr/local/www/redmine-0.9.2/vendor/rails/actionpack/lib/action_controller/dispatcher.rb:51:in `run_prepare_callbacks'

/usr/local/www/redmine-0.9.2/vendor/rails/railties/lib/initializer.rb:631:in `prepare_dispatcher'

/usr/local/www/redmine-0.9.2/vendor/rails/railties/lib/initializer.rb:185:in `process'

/usr/local/www/redmine-0.9.2/vendor/rails/railties/lib/initializer.rb:113:in `run'

/usr/local/www/redmine-0.9.2/config/environment.rb:20:in `<top (required)>'

/usr/local/www/redmine-0.9.2/vendor/rails/activesupport/lib/active_support/dependencies.rb:156:in `require'

/usr/local/www/redmine-0.9.2/vendor/rails/activesupport/lib/active_support/dependencies.rb:156:in `block in require'

/usr/local/www/redmine-0.9.2/vendor/rails/activesupport/lib/active_support/dependencies.rb:521:in `new_constants_in'

/usr/local/www/redmine-0.9.2/vendor/rails/activesupport/lib/active_support/dependencies.rb:156:in `require'

/usr/local/www/redmine-0.9.2/vendor/rails/railties/lib/tasks/misc.rake:4:in `block in <top (required)>'

/usr/local/lib/ruby/gems/1.9.1/gems/rake-0.8.7/lib/rake.rb:636:in `call'

/usr/local/lib/ruby/gems/1.9.1/gems/rake-0.8.7/lib/rake.rb:636:in `block in execute'

/usr/local/lib/ruby/gems/1.9.1/gems/rake-0.8.7/lib/rake.rb:631:in `each'

/usr/local/lib/ruby/gems/1.9.1/gems/rake-0.8.7/lib/rake.rb:631:in `execute'

/usr/local/lib/ruby/gems/1.9.1/gems/rake-0.8.7/lib/rake.rb:597:in `block in invoke_with_call_chain'

/usr/local/lib/ruby/1.9.1/monitor.rb:190:in `mon_synchronize'

/usr/local/lib/ruby/gems/1.9.1/gems/rake-0.8.7/lib/rake.rb:590:in `invoke_with_call_chain'

/usr/local/lib/ruby/gems/1.9.1/gems/rake-0.8.7/lib/rake.rb:607:in `block in invoke_prerequisites'

/usr/local/lib/ruby/gems/1.9.1/gems/rake-0.8.7/lib/rake.rb:604:in `each'

/usr/local/lib/ruby/gems/1.9.1/gems/rake-0.8.7/lib/rake.rb:604:in `invoke_prerequisites'

/usr/local/lib/ruby/gems/1.9.1/gems/rake-0.8.7/lib/rake.rb:596:in `block in invoke_with_call_chain'

/usr/local/lib/ruby/1.9.1/monitor.rb:190:in `mon_synchronize'

/usr/local/lib/ruby/gems/1.9.1/gems/rake-0.8.7/lib/rake.rb:590:in `invoke_with_call_chain'

/usr/local/lib/ruby/gems/1.9.1/gems/rake-0.8.7/lib/rake.rb:583:in `invoke'

/usr/local/lib/ruby/gems/1.9.1/gems/rake-0.8.7/lib/rake.rb:2051:in `invoke_task'

/usr/local/lib/ruby/gems/1.9.1/gems/rake-0.8.7/lib/rake.rb:2029:in `block (2 levels) in top_level'

/usr/local/lib/ruby/gems/1.9.1/gems/rake-0.8.7/lib/rake.rb:2029:in `each'

/usr/local/lib/ruby/gems/1.9.1/gems/rake-0.8.7/lib/rake.rb:2029:in `block in top_level'

/usr/local/lib/ruby/gems/1.9.1/gems/rake-0.8.7/lib/rake.rb:2068:in `standard_exception_handling'

/usr/local/lib/ruby/gems/1.9.1/gems/rake-0.8.7/lib/rake.rb:2023:in `top_level'

/usr/local/lib/ruby/gems/1.9.1/gems/rake-0.8.7/lib/rake.rb:2001:in `block in run'

/usr/local/lib/ruby/gems/1.9.1/gems/rake-0.8.7/lib/rake.rb:2068:in `standard_exception_handling'

/usr/local/lib/ruby/gems/1.9.1/gems/rake-0.8.7/lib/rake.rb:1998:in `run'

/usr/local/lib/ruby/gems/1.9.1/gems/rake-0.8.7/bin/rake:31:in `<top (required)>'

/usr/local/bin/rake:19:in `load'

/usr/local/bin/rake:19:in `<main>'

here is my env

GNU/linux x86_64

redmine 1.9.2

mysql-5.1.44-linux-x86_64-glibc23

ruby 1.9.1p376 (2009-12-07 revision 26041) [x86_64-linux]

rubygems 1.3.6

[portal@aci-dev redmine-0.9.2]$ gem list

LOCAL GEMS ***

actionmailer (2.3.5, 2.3.2)

actionpack (2.3.5, 2.3.2)

activerecord (2.3.5, 2.3.2)

activeresource (2.3.5, 2.3.2)

activesupport (2.3.5, 2.3.2)

rack (1.1.0, 1.0.1)

rails (2.3.5, 2.3.2)

rake (0.8.7)

#5 - 2010-02-26 21:07 - Craig Savolainen

I have the same problem.  Checking out the 0.9.2 tag from the repo doesn't have the issue however.

#6 - 2010-02-26 21:26 - Craig Savolainen

Deleting the vendored rails also seems to do the trick.  Running with these local gems.

actionmailer (2.3.5, 2.0.2)

actionpack (2.3.5, 2.0.2)

activerecord (2.3.5, 2.0.2)

activeresource (2.3.5, 2.0.2)

activesupport (2.3.5, 2.0.2)

cgi_multipart_eof_fix (2.5.0)

daemons (1.0.10)

fastthread (1.0.7, 1.0.1)

gem_plugin (0.2.3)

mongrel (1.1.5)

pg (0.8.0)
rack (1.1.0, 1.0.1)

rails (2.3.5, 2.0.2)

rake (0.8.7, 0.8.1)

rmagick (2.12.2, 2.5.2)

#7 - 2010-02-26 22:01 - praveen praveen

which mysql version are you guys using ?

#8 - 2010-02-26 22:21 - Michaelian Ennis

I am running the installed version MySQL Server version:

5.0.82-log Source distribution

I seem to have it running now using  0.9.2 but I've done so much else to the server that I am not sure what all has changed.  I will going to re-install

from scratch and post my results.

#9 - 2010-02-27 04:08 - praveen praveen

never mind has to downgrade mysql and dependencies. back to mysql 5.0.77, ruby 1.8.7 and mysql-ruby 2.7 ( 2.8.1 was giving  'No Definition for

'field_name' errors')

finally working setup

linux x86_64

redmine 1.9.2

mysql 5.0.77

ruby 1.8.7

gems 1.3.6

--gem list

actionmailer (2.3.5)

actionpack (2.3.5)

activerecord (2.3.5)

activeresource (2.3.5)

activesupport (2.3.5)

mysql (2.7)

rack (1.1.0, 1.0.1)

rails (2.3.5)

rake (0.8.7)

#10 - 2010-04-01 21:42 - Ken Stanley

I just wanted to add my two cents to this discussion. I am using Snow Leopard 10.6.3, and I'm using the Ruby (1.8.7), Rails (2.3.5), and rake (0.8.7)

that came with Xcode from Apple (whatever the latest version is at the time of this writing). I had been struggling to get rake db:migrate to work, but I

would keep getting the, "Object is not missing constant Project!," error. My solution to this problem was to install the mysql (2.8.1) gem using the

x86_64 architecture:

ARCHFLAGS="-arch x86_64" gem install mysql -- --with-mysql-config=/usr/local/mysql/bin/mysql_config

It seems that whatever magic that gem performs, it does it in an i386 way, which is incompatible with the 64-bit version of Ruby/Rails. Just a hunch,

though. :)

#11 - 2010-07-13 00:32 - Holger Just

- Status changed from New to Closed

- Resolution set to Invalid

The mysql gem seems to be a bitch...

Please use the forums for further discussions of the issue.
